from django.conf import settings
from django.conf.urls.i18n import i18n_patterns
from django.conf.urls.static import static
from django.contrib import admin
from django.urls import include, path

urlpatterns = [
                  path('testwords/admin/', admin.site.urls),
              ] + i18n_patterns(
    path('i18n/', include('django.conf.urls.i18n')),
    path('', include("landing.urls")),
    path('tickets/', include('tickets.urls', namespace='tickets'), name='tickets'),
    path('design/', include("design_template.urls"), name='design'),
    path('dbsynce/', include("dbsynce.urls"), name="dbsynce"),
    path('webservice/', include("webservice_running.urls"), name='webservice_running'),
    path('my/', include('sharix_admin.urls'), name="Admin"),
    # FIXME: Check where using Admin name and replace this to admin (name="Admin" -> name="admin")
    prefix_default_language=False,
)

if settings.DEBUG:
    urlpatterns += static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)
    urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

    urlpatterns.append(path("__debug__/", include("debug_toolbar.urls")))
